## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XalanMemMgrAutoPtrArray< Type >::MemMgrAutoPtrArrayData Class Reference

List of all members.

## Public Member Functions

- MemMgrAutoPtrArrayData ()
- MemMgrAutoPtrArrayData (MemoryManagerType *memoryManager, Type *dataPointer, size_type size)
- bool isInitilized () const
- void deallocate ()
- void reset (MemoryManagerType *memoryManager, Type *dataPointer, size_type size)

## Public Attributes

- MemoryManagerType * m_memoryManager
- Type * m_dataArray
- size_type m_size

### template<class Type>
class XalanMemMgrAutoPtrArray< Type >::MemMgrAutoPtrArrayData

## Constructor & Destructor Documentation

template<class Type>
XalanMemMgrAutoPtrArray< Type >::MemMgrAutoPtrArrayData::MemMgrAutoPtrArrayData | ( |  | ) |

template<class Type>
XalanMemMgrAutoPtrArray< Type >::MemMgrAutoPtrArrayData::MemMgrAutoPtrArrayData | ( | MemoryManagerType * | memoryManager,
|  | Type * | dataPointer,
|  | size_type | size
| ) |

## Member Function Documentation

template<class Type>
void XalanMemMgrAutoPtrArray< Type >::MemMgrAutoPtrArrayData::deallocate | ( |  | ) |

template<class Type>
bool XalanMemMgrAutoPtrArray< Type >::MemMgrAutoPtrArrayData::isInitilized | ( |  | ) | const

template<class Type>
void XalanMemMgrAutoPtrArray< Type >::MemMgrAutoPtrArrayData::reset | ( | MemoryManagerType * | memoryManager,
|  | Type * | dataPointer,
|  | size_type | size
| ) |

## Member Data Documentation

template<class Type>
Type* XalanMemMgrAutoPtrArray< Type >::MemMgrAutoPtrArrayData::m_dataArray

template<class Type>
MemoryManagerType* XalanMemMgrAutoPtrArray< Type >::MemMgrAutoPtrArrayData::m_memoryManager

template<class Type>
size_type XalanMemMgrAutoPtrArray< Type >::MemMgrAutoPtrArrayData::m_size

The documentation for this class was generated from the following file:

- XalanMemMgrAutoPtr.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.